<!DOCTYPE html>

<html>

<head>
    
    <% include ../partials/head %>
    
    <title> Utilisateurs </title>
    
</head>
    
<body>
    
    <%include ../partials/header %>
    <%include ../partials/dropdown_nav %>
    
    <div class="container padding-top-10">
         <div class="panel panel-default">
            <div class="panel-heading">
                <h1> Liste des utilisateurs </h1>
            </div>
            <div class="panel-body">
                <form action="/users" id="usersForm" method="post">
                    <table class="table userList">
                    <tr>
                        <th> Prénom </th>
                        <th> Nom </th>
                        <th> Addresse </th>
                        <th> Ville </th>
                        <th> Nom d'utilisateur </th>
                        <th> Mot de passe (hashé)</th>
                        <th> Niveau d'autorité </th>
                    </tr>
                    <% for(var i = 0; i < userTable.length; i++) { %>
                        <tr>
                            <td><%= userTable[i].firstName %></td>
                            <td><%= userTable[i].lastName %></td>
                            <td><%= userTable[i].address %></td>
                            <td><%= userTable[i].city %></td>
                            <td><%= userTable[i].username %></td>
                            <td><%= userTable[i].password %></td>
                            <td><%= userTable[i].autorityLevel.toString() %></td>
                            
                            <td><button type='button' class ='btn btn-default editButton' onclick="redirCommand('<%= "editUser" + userTable[i].username %>');">&#x270E;</button></td>
                            <td><button type='button' class ='btn btn-default editButton' onclick="redirCommand('<%= "deleUser" + userTable[i].username %>');")'>&#x2716;</button></td>
                            <td><button type='button' class ='btn btn-default editButton' onclick="redirCommand('<%= "passUser" + userTable[i].username %>');")'>&#x1f512;</button></td>
                       </tr>
                    <% } %>
                    </table>
                    <button type='button' class ='btn btn-default editButton' onclick="redirCommand('<%= "add" %>');")'> <b> + </b> Ajouter </button>
                    <input type="text" name="redirectCommand" id="redirectCommand" class="invisibleInput">
                </form>
            </div>
         <div>
    </div>
    </div>
    
    <%include ../partials/footer %>
    <%include ../partials/libs %>
</body>

</html>